# PSF-LoginServer - master - net.psforever.objects.serverobject.hackable.GenericHackables
PSF - LoginServer - master - net.psforever.objects.serverobject.hackable.GenericHackables
Keywords: PSF LoginServer master net.psforever.objects.serverobject.hackable.GenericHackables

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package hackable
  Definition Classes
    serverobject
- GenericHackables
- Hackable
- HackableBehavior
- HackableDefinition

o

net.psforever.objects.serverobject.hackable

# GenericHackables

###

#### object GenericHackables

Source
  GenericHackables.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GenericHackables
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def FinishHacking(target: PlanetSideServerObject with Hackable, user: Player, unk: Long)(): Unit

   The process of hacking an object is completed.

   The process of hacking an object is completed. Pass the message onto the hackable object and onto the local events system.

   target

     the `Hackable` object that has been hacked

   user

     the player that is performing this hacking task

   unk

     na; used by `HackMessage` as `unk5`

   See also

     `HackMessage`

5.  def GetHackSpeed(player: Player, obj: PlanetSideServerObject): Float

   na

   na

   player

     the player doing the hacking

   obj

     the object being hacked

   returns

     the percentage amount of progress per tick

6.  def HackingTickAction(progressType: Int, tplayer: Player, target: PlanetSideServerObject, tool_guid: PlanetSideGUID)(progress: Float): Boolean

   Evaluate the progress of the user applying a tool to modify some server object.

   Evaluate the progress of the user applying a tool to modify some server object. This action is using the remote electronics kit to convert an enemy unit into an allied unit, primarily. The act of transforming allied units of one kind into allied units of another kind (facility turret upgrades) is also governed by this action per tick of progress.

   progressType

     1 - remote electronics kit hack (various ...); 2 - nano dispenser (upgrade canister) turret upgrade

   tplayer

     the player performing the action

   target

     the object being affected

   tool_guid

     the tool being used to affest the object

   progress

     the current progress value

   returns

     `true`, if the next cycle of progress should occur; `false`, otherwise

   See also

     `HackMessage`

     `HackState`

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped